## org.eclipse.emf.ant
Class EMFAntPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.ant.EMFAntPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class EMFAntPlugin

extends Plugin

Since:
  2.1.0

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EMFAntPlugin()`

Method Summary
`static EMFAntPlugin` `getDefault()` Returns the shared instance.

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFAntPlugin

    public EMFAntPlugin()

Method Detail

### getDefault

    public static EMFAntPlugin getDefault()

  Returns the shared instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.